package controllers_join

import (
	"boiler-go/controllers"
	models_join "boiler-go/models/join"
	"encoding/json"
	"net/http"

	"github.com/dabory/abango-rest"
	"github.com/labstack/echo"
)

func ItemIgroupPage(c echo.Context) error {

	v := c.Get("receiver").(controllers.CommonPageReq)
	y := c.Get("abango").(abango.Controller)

	vRet := &struct {
		models_join.ItemIgroupPageRet
	}{}

	vRet.PageVars = v.PageVars
	if err := vRet.GetItemIgroupPage(y.Db); err != nil {
		return c.String(607, err.Error())
	}

	ret, _ := json.Marshal(vRet)
	return c.JSONBlob(http.StatusOK, ret)
}
